Bug 1912863 (CVE-2020-8287) - CVE-2020-8287 nodejs: HTTP request smuggling via two copies of a header field in an http request
Summary: CVE-2020-8287 nodejs: HTTP request smuggling via two copies of a header field...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-8287
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1912952 1912953 1912954 1912955 1912956 1912957 1913255 1913257 1913258 1913586 1912864 1912865 1912866 1912867 1913256 1913264 1914775 1914786 1914788 1914789 1914796 1914799
Blocks: 1912868
TreeView+ depends on / blocked
 
Reported: 2021-01-05 13:16 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-02-16 14:33 UTC (History)
21 users (show)

Fixed In Version: node 10.23.1, node 12.20.1, node 14.15.4, node 15.5.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in nodejs. Affected versions of Node.js allow two copies of a header field in an HTTP request. The first header field is recognized while the second is ignored leading to HTTP request smuggling. The highest threat from this vulnerability is to data confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2021-02-04 20:42:27 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:0421 0 None None None 2021-02-04 17:18:20 UTC
Red Hat Product Errata RHSA-2021:0485 0 None None None 2021-02-11 13:35:29 UTC
Red Hat Product Errata RHSA-2021:0521 0 None None None 2021-02-15 18:26:27 UTC
Red Hat Product Errata RHSA-2021:0548 0 None None None 2021-02-16 14:32:00 UTC
Red Hat Product Errata RHSA-2021:0549 0 None None None 2021-02-16 14:32:59 UTC
Red Hat Product Errata RHSA-2021:0551 0 None None None 2021-02-16 14:33:56 UTC

Description Guilherme de Almeida Suckevicz 2021-01-05 13:16:18 UTC
Affected versions of Node.js allow two copies of a header field in a http request. For example, two Transfer-Encoding header fields. In this case Node.js identifies the first header field and ignores the second. This can lead to HTTP Request Smuggling.

Reference:
https://nodejs.org/en/blog/vulnerability/january-2021-security-releases/

Comment 1 Guilherme de Almeida Suckevicz 2021-01-05 13:17:12 UTC
Created nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1912865]


Created nodejs:10/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1912864]


Created nodejs:12/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1912866]


Created nodejs:14/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 1912867]

Comment 4 Jason Shepherd 2021-01-06 01:32:47 UTC
Red Hat Quay does not use NodeJS HTTP implementation.

Comment 10 errata-xmlrpc 2021-02-04 17:18:18 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:0421 https://access.redhat.com/errata/RHSA-2021:0421

Comment 11 Product Security DevOps Team 2021-02-04 20:42:27 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8287

Comment 12 Product Security DevOps Team 2021-02-05 02:41:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-8287

Comment 13 Jan Staněk 2021-02-08 15:33:30 UTC
Note: upstream fix for Node.js version 10 looks differently:
https://github.com/nodejs/node/commit/fc70ce08f5818a286fb5899a1bc3aff5965a745e

Comment 14 errata-xmlrpc 2021-02-11 13:35:27 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:0485 https://access.redhat.com/errata/RHSA-2021:0485

Comment 15 errata-xmlrpc 2021-02-15 18:26:25 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:0521 https://access.redhat.com/errata/RHSA-2021:0521

Comment 16 errata-xmlrpc 2021-02-16 14:31:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:0548 https://access.redhat.com/errata/RHSA-2021:0548

Comment 17 errata-xmlrpc 2021-02-16 14:32:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:0549 https://access.redhat.com/errata/RHSA-2021:0549

Comment 18 errata-xmlrpc 2021-02-16 14:33:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:0551 https://access.redhat.com/errata/RHSA-2021:0551


Note You need to log in before you can comment on or make changes to this bug.